Bug 1625738 - python2-future missing dependencies of argparse and importlib
Summary: python2-future missing dependencies of argparse and importlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: future
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-05 17:37 UTC by Carl George
Modified: 2018-09-14 23:51 UTC (History)
1 user (show)

Fixed In Version: future-0.16.0-11.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-14 23:51:54 UTC


Attachments (Terms of Use)

Description Carl George 2018-09-05 17:37:58 UTC
Description of problem:
Installing python2-future does not install python-argparse or python-importlib, which are required dependencies.  This causes software that requires python2-future to fail to run.

    # holland
    Traceback (most recent call last):
      File "/usr/bin/holland", line 5, in <module>
        from pkg_resources import load_entry_point
      File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2655, in <module>
        working_set.require(__requires__)
      File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 648, in require
        needed = self.resolve(parse_requirements(requirements))
      File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 546, in resolve
        raise DistributionNotFound(req)
    pkg_resources.DistributionNotFound: importlib


Version-Release number of selected component (if applicable):
python2-future-0.16.0-2.el6.noarch


How reproducible:
always


Steps to Reproduce:
1. yum install python2-future
2. python <<< '__requires__ = "future"; from pkg_resources import load_entry_point'


Actual results:

    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
      File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2655, in <module>
        working_set.require(__requires__)
      File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 648, in require
        needed = self.resolve(parse_requirements(requirements))
      File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 546, in resolve
        raise DistributionNotFound(req)
    pkg_resources.DistributionNotFound: argparse


Expected results:
no error

Comment 2 Fedora Update System 2018-09-06 17:48:10 UTC
future-0.16.0-11.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a4c4139139

Comment 3 Fedora Update System 2018-09-07 15:54:37 UTC
future-0.16.0-11.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a4c4139139

Comment 4 Fedora Update System 2018-09-14 23:51:54 UTC
future-0.16.0-11.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.